Bug 861299 - [LANG] Text on Screensaver is truncated
[LANG] Text on Screensaver is truncated
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
19
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-28 01:22 EDT by A S Alam
Modified: 2015-02-18 06:08 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:08:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 Matthias Clasen 2012-10-02 09:31:59 EDT
that screen shield is rendered by gnome-shell. gnome-screensaver is not involved anymore. Looks like a font issue, most likely.
Comment 2 Ryan Lerch 2013-03-22 10:57:07 EDT
 (In reply to comment #1)
> that screen shield is rendered by gnome-shell. gnome-screensaver is not
> involved anymore. Looks like a font issue, most likely.

I can still re-create this in Rawhide by setting the font to Chinese, and then bringing up the lock screen.

I also tried playing around with padding and line-heights in the /usr/share/gnome-shell/theme/gnome-shell.css file to try to get rid of the truncation, but couldnt get it to work.

should i file this one upstream against gnome-shell, or is it more likely to be an issue with the fonts?
Comment 3 Jens Petersen 2013-04-15 01:12:21 EDT
Yes do please file a bug upstream - I have seen it for Japanese too
for a long time now.  So seems to be happening for Chinese,
Japanese, and Indic text so I doubt it is font breakage.
Comment 4 Jens Petersen 2013-04-15 05:55:51 EDT
Okay this might be due to pango artificial bold I am guessing.
At least removing "font-weight: bold;" from .screen-shield-clock
in gnome-shell.css fixes the cutting-off for Japanese.

I dunno if there is a better fix in pango or elsewhere though.
Comment 6 Jens Petersen 2015-01-08 04:57:28 EST
This looks better to me with gnome-shell-3.8.4-3.fc19 fwiw
(tested with F19-x86_64-LIVE-DESK-20140103.iso).
Comment 7 Fedora End Of Life 2015-01-09 17:31:14 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-18 06:08:50 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.